### Signal

# FwupdPlugin Device::request

#### Declaration

    void
    request (
      FuDevice* self,
      FwupdRequest* request,
      gpointer user_data
    )

#### Description [src]

The ::request signal is emitted when the device needs interactive action from the user.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.6.2

#### Parameters

`request` | `FwupdRequest`
| The `FwupdRequest`.
| The data is owned by the caller of the function.